package connectstring

import (
	"fmt"
	"strings"
)

func ParseConnectString(connectStr string) (map[string]string, error) {
	items := strings.Split(connectStr, ";")

	cfgs := map[string]string{}

	for _, item := range items {
		kvs := strings.Split(item, "=")
		if len(kvs) != 2 {
			return nil, fmt.Errorf("invalid connect string")
		}

		cfgs[kvs[0]] = kvs[1]
	}

	return cfgs, nil
}
