package main

import (
	"context"
	"time"

	"github.com/wh8199/log"
	"gitlab.wise-paas.com/sdk/configcenter/pkg/configcenter"
	"gitlab.wise-paas.com/sdk/configcenter/pkg/module"
)

func main() {
	moduleCfg := module.ModuleConfig{
		Name: "simple-module",
		ServiceInstances: []*configcenter.ServiceInstance{
			{
				ServiceInstanceType: configcenter.ServiceInstance_Postgres,
				ServiceInstanceConfig: map[string]string{
					"role": "xxxxx",
				},
			},
			{
				ServiceInstanceType: configcenter.ServiceInstance_Redis,
			},
			{
				ServiceInstanceType: configcenter.ServiceInstance_Influxdb,
			},
			{
				ServiceInstanceType: configcenter.ServiceInstance_RabbitMQ,
			},
		},
		Routers: []*configcenter.Router{
			{
				Name:    "test",
				Address: "http://127.0.0.1:8080",
			},
		},
	}

	ctx, cancelFunc := context.WithCancel(context.Background())
	defer cancelFunc()

	m := module.NewModule(moduleCfg, ctx)

	go m.LinkConfigCenter()

	for {
		log.Info(m.GetConfigCenterAddress())
		log.Info(m.GetConfigCenterAddressRestful())

		time.Sleep(time.Second)
	}
}
