package main

import (
	"context"
	"time"

	"github.com/wh8199/log"
	"gitlab.wise-paas.com/sdk/configcenter/pkg/configcenter"
	"gitlab.wise-paas.com/sdk/configcenter/pkg/module"
)

func main() {
	go func() {
		moduleCfg := module.ModuleConfig{
			Name: "simple-module1",
			Routers: []*configcenter.Router{
				{
					// simple example
					Name:    "simple-api",
					Address: "http://127.0.0.1:18080",
				},
				{
					Name:        "dashboard-datssource",
					Address:     "http://127.0.0.1:18081",
					IsDashboard: true,
				},
				{
					Name:       "desk-portal",
					Address:    "http://127.0.0.1:18082",
					IsPortal:   true,
					IconUrl:    "xxxxx",
					TitleText:  "xxxx",
					LinkType:   "xxx",
					Categories: []string{"desk", "xxxxx", "xxxx"},
				},
			},
		}

		ctx, cancelFunc := context.WithCancel(context.Background())
		defer cancelFunc()

		m := module.NewModule(moduleCfg, ctx)

		go m.LinkConfigCenter()

		for {
			time.Sleep(time.Second)
		}
	}()

	moduleCfg := module.ModuleConfig{
		Name: "simple-module",
		Routers: []*configcenter.Router{
			{
				// simple example
				Name:    "simple-api",
				Address: "http://127.0.0.1:8080",
			},
			{
				Name:        "dashboard-datssource",
				Address:     "http://127.0.0.1:8081",
				IsDashboard: true,
			},
			{
				Name:       "desk-portal",
				Address:    "http://127.0.0.1:8082",
				IsPortal:   true,
				IconUrl:    "xxxxx",
				TitleText:  "xxxx",
				LinkType:   "xxx",
				Categories: []string{"desk", "xxxxx", "xxxx"},
			},
		},
	}

	ctx, cancelFunc := context.WithCancel(context.Background())
	defer cancelFunc()

	m := module.NewModule(moduleCfg, ctx)

	go m.LinkConfigCenter()

	for {
		router, exist := m.GetRouter("simple-module1", "simple-api")
		if exist {
			log.Info(router)
			break
		}

		time.Sleep(time.Second)
	}
}
