package portrange

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestParsePortRange(t *testing.T) {
	type TestCase struct {
		portRange string
		min       uint16
		max       uint16
		valid     bool
	}

	testCases := []TestCase{
		{
			portRange: "1-10",
			min:       1,
			max:       10,
			valid:     true,
		},
		{
			portRange: "1,10",
			min:       1,
			max:       10,
			valid:     false,
		},
	}

	for _, testCase := range testCases {
		min, max, err := ParsePortRange(testCase.portRange)

		if testCase.valid {
			assert.Equal(t, min, testCase.min)
			assert.Equal(t, max, testCase.max)
		} else {
			assert.NotEqual(t, err, nil)
		}
	}
}
